Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.table.navi
Class DrillThroughUI

    java.lang.Object
      com.tonbeller.jpivot.table.PartBuilderSupport
          com.tonbeller.jpivot.table.TableComponentExtensionSupport
              com.tonbeller.jpivot.table.navi.DrillThroughUI

All Implemented Interfaces:
  ModelChangeListener, PartBuilder, TableComponentExtension, Available, com.tonbeller.wcf.bookmarks.Bookmarkable, java.util.EventListener

    public class DrillThroughUI

extends TableComponentExtensionSupport
implements ModelChangeListener

Author:
  Robin Bagot

Field Summary
`static java.lang.String` | `ID`

Fields inherited from class com.tonbeller.jpivot.table.TableComponentExtensionSupport
`enabled`

Fields inherited from class com.tonbeller.jpivot.table.PartBuilderSupport
`table`

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Constructor Summary
`DrillThroughUI()`

Method Summary
`protected boolean` | `canDrillThrough(Cell cell)`
`protected com.tonbeller.wcf.table.TableModel` | `drillThrough(Cell cell)` returns a DrillThroughTableModel object for the drill through
`java.lang.String` | `getId()` unique name of this extension.
`com.tonbeller.wcf.table.TableModel` | `getTableModel()`
`void` | `initialize(com.tonbeller.wcf.controller.RequestContext context, TableComponent table)` deferred ctor, called once after creation
`protected boolean` | `initializeExtension()`
`boolean` | `isAvailable()` true, if the current olapModel supports all extensions that are required by this partBuilder.
`void` | `modelChanged(ModelChangeEvent e)` model data have changed, e.g. user has navigated
`void` | `startBuild(com.tonbeller.wcf.controller.RequestContext context)` called before the DOM is built after the TableRenderer has been fully initialized
`void` | `structureChanged(ModelChangeEvent e)` major change, e.g. extensions added/removed

Methods inherited from class com.tonbeller.jpivot.table.TableComponentExtensionSupport
`getBookmarkState, isEnabled, setBookmarkState, setEnabled`

Methods inherited from class com.tonbeller.jpivot.table.PartBuilderSupport
`destroy, setDirty, stopBuild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.table.PartBuilder
`destroy, stopBuild`

Field Detail

### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

Constructor Detail

### DrillThroughUI

    public DrillThroughUI()

Method Detail

### getId

    public java.lang.String getId()

  Description copied from interface: `TableComponentExtension`
  unique name of this extension. Used for JSP programming

  Specified by:
    `getId` in interface `TableComponentExtension`

### initialize

    public void initialize(com.tonbeller.wcf.controller.RequestContext context,
                           TableComponent table)
                    throws java.lang.Exception

  Description copied from interface: `PartBuilder`
  deferred ctor, called once after creation

  Specified by:
    `initialize` in interface `PartBuilder`
  Overrides:
    `initialize` in class `PartBuilderSupport`
  Throws:
    `java.lang.Exception`

### startBuild

    public void startBuild(com.tonbeller.wcf.controller.RequestContext context)

  Description copied from interface: `PartBuilder`
  called before the DOM is built after the TableRenderer has been fully initialized

  Specified by:
    `startBuild` in interface `PartBuilder`
  Overrides:
    `startBuild` in class `PartBuilderSupport`

### initializeExtension

    protected boolean initializeExtension()

  Returns:
    true if extension is available

### canDrillThrough

    protected boolean canDrillThrough(Cell cell)

### drillThrough

    protected com.tonbeller.wcf.table.TableModel drillThrough(Cell cell)

  returns a DrillThroughTableModel object for the drill through

  Parameters:
    `cell` -
  Returns:

### isAvailable

    public boolean isAvailable()

  Description copied from interface: `PartBuilder`
  true, if the current olapModel supports all extensions that are required by this partBuilder. If false, a GUI will not show related items.

  Specified by:
    `isAvailable` in interface `PartBuilder`
  Specified by:
    `isAvailable` in interface `Available`
  Overrides:
    `isAvailable` in class `PartBuilderSupport`

### modelChanged

    public void modelChanged(ModelChangeEvent e)

  Description copied from interface: `ModelChangeListener`
  model data have changed, e.g. user has navigated

  Specified by:
    `modelChanged` in interface `ModelChangeListener`

### structureChanged

    public void structureChanged(ModelChangeEvent e)

  Description copied from interface: `ModelChangeListener`
  major change, e.g. extensions added/removed

  Specified by:
    `structureChanged` in interface `ModelChangeListener`

### getTableModel

    public com.tonbeller.wcf.table.TableModel getTableModel()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD